"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSNSAddress = void 0;
const isSVMAddress_js_1 = require("./isSVMAddress.js");
const getSNSAddress = async (name) => {
    try {
        if (!name.endsWith('.sol')) {
            return;
        }
        const snsWorkerUrl = `https://sns-sdk-proxy.bonfida.workers.dev/resolve/${name}`;
        const response = await fetch(snsWorkerUrl);
        if (!response.ok) {
            return;
        }
        const data = await response.json();
        if (!(0, isSVMAddress_js_1.isSVMAddress)(data.result)) {
            return;
        }
        return data.result;
    }
    catch (_) {
        return;
    }
};
exports.getSNSAddress = getSNSAddress;
//# sourceMappingURL=getSNSAddress.js.map