"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getRpcUrls = exports.getRpcUrl = void 0;
const config_js_1 = require("../config.js");
const getRpcUrl = async (chainId) => {
    const rpcUrls = await (0, exports.getRpcUrls)(chainId);
    return rpcUrls[0];
};
exports.getRpcUrl = getRpcUrl;
const getRpcUrls = async (chainId) => {
    const rpcUrls = (await config_js_1.config.getRPCUrls())[chainId];
    if (!rpcUrls?.length) {
        throw new Error('RPC URL not found');
    }
    return rpcUrls;
};
exports.getRpcUrls = getRpcUrls;
//# sourceMappingURL=rpc.js.map