"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BaseError = void 0;
const rootCause_js_1 = require("./utils/rootCause.js");
class BaseError extends Error {
    constructor(name, code, message, cause) {
        super(message);
        Object.defineProperty(this, "code", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: void 0
        });
        Object.defineProperty(this, "cause", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: void 0
        });
        this.name = name;
        this.code = code;
        this.cause = cause;
        const rootCause = (0, rootCause_js_1.getRootCause)(this.cause);
        if (rootCause?.stack) {
            this.stack = rootCause.stack;
        }
    }
}
exports.BaseError = BaseError;
//# sourceMappingURL=baseError.js.map