"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getRootCauseBaseErrorMessage = exports.getRootCauseBaseError = void 0;
const baseError_js_1 = require("../baseError.js");
const httpError_js_1 = require("../httpError.js");
const getRootCauseBaseError = (e) => {
    let rootCause = e;
    while (rootCause.cause && rootCause.cause instanceof baseError_js_1.BaseError) {
        rootCause = rootCause.cause;
    }
    return rootCause;
};
exports.getRootCauseBaseError = getRootCauseBaseError;
const getRootCauseBaseErrorMessage = (e) => {
    const rootCause = (0, exports.getRootCauseBaseError)(e);
    return rootCause instanceof httpError_js_1.HTTPError
        ? rootCause.responseBody?.message || rootCause.message
        : rootCause.message;
};
exports.getRootCauseBaseErrorMessage = getRootCauseBaseErrorMessage;
//# sourceMappingURL=baseErrorRootCause.js.map