"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TransactionError = exports.ServerError = exports.RPCError = exports.ProviderError = exports.BalanceError = exports.LiFiErrorCode = exports.ErrorName = exports.ErrorMessage = exports.BaseError = exports.getNameServiceAddress = exports.getTokenBalancesByChain = exports.getTokenBalances = exports.getTokenBalance = exports.getTransactionHistory = exports.getTools = exports.getTokens = exports.getToken = exports.getStepTransaction = exports.getStatus = exports.getRoutes = exports.getQuote = exports.getGasRecommendation = exports.getContractCallsQuote = exports.getConnections = exports.getChains = exports.fetchTxErrorDetails = exports.convertQuoteToRoute = exports.checkPackageUpdates = exports.createConfig = exports.isUTXO = exports.UTXO = exports.isSolana = exports.Solana = exports.KeypairWalletName = exports.KeypairWalletAdapter = exports.isSVMAddress = exports.updateRouteExecution = exports.stopRouteExecution = exports.resumeRoute = exports.getActiveRoutes = exports.getActiveRoute = exports.executeRoute = exports.StatusManager = exports.isEVM = exports.setTokenAllowance = exports.revokeTokenApproval = exports.getTokenAllowanceMulticall = exports.getTokenAllowance = exports.EVM = exports.config = void 0;
exports.SDKError = exports.HTTPError = exports.ValidationError = exports.UnknownError = void 0;
__exportStar(require("@lifi/types"), exports);
var config_js_1 = require("./config.js");
Object.defineProperty(exports, "config", { enumerable: true, get: function () { return config_js_1.config; } });
var EVM_js_1 = require("./core/EVM/EVM.js");
Object.defineProperty(exports, "EVM", { enumerable: true, get: function () { return EVM_js_1.EVM; } });
var getAllowance_js_1 = require("./core/EVM/getAllowance.js");
Object.defineProperty(exports, "getTokenAllowance", { enumerable: true, get: function () { return getAllowance_js_1.getTokenAllowance; } });
Object.defineProperty(exports, "getTokenAllowanceMulticall", { enumerable: true, get: function () { return getAllowance_js_1.getTokenAllowanceMulticall; } });
var setAllowance_js_1 = require("./core/EVM/setAllowance.js");
Object.defineProperty(exports, "revokeTokenApproval", { enumerable: true, get: function () { return setAllowance_js_1.revokeTokenApproval; } });
Object.defineProperty(exports, "setTokenAllowance", { enumerable: true, get: function () { return setAllowance_js_1.setTokenAllowance; } });
var types_js_1 = require("./core/EVM/types.js");
Object.defineProperty(exports, "isEVM", { enumerable: true, get: function () { return types_js_1.isEVM; } });
var StatusManager_js_1 = require("./core/StatusManager.js");
Object.defineProperty(exports, "StatusManager", { enumerable: true, get: function () { return StatusManager_js_1.StatusManager; } });
var execution_js_1 = require("./core/execution.js");
Object.defineProperty(exports, "executeRoute", { enumerable: true, get: function () { return execution_js_1.executeRoute; } });
Object.defineProperty(exports, "getActiveRoute", { enumerable: true, get: function () { return execution_js_1.getActiveRoute; } });
Object.defineProperty(exports, "getActiveRoutes", { enumerable: true, get: function () { return execution_js_1.getActiveRoutes; } });
Object.defineProperty(exports, "resumeRoute", { enumerable: true, get: function () { return execution_js_1.resumeRoute; } });
Object.defineProperty(exports, "stopRouteExecution", { enumerable: true, get: function () { return execution_js_1.stopRouteExecution; } });
Object.defineProperty(exports, "updateRouteExecution", { enumerable: true, get: function () { return execution_js_1.updateRouteExecution; } });
var isSVMAddress_js_1 = require("./core/Solana/isSVMAddress.js");
Object.defineProperty(exports, "isSVMAddress", { enumerable: true, get: function () { return isSVMAddress_js_1.isSVMAddress; } });
var KeypairWalletAdapter_js_1 = require("./core/Solana/KeypairWalletAdapter.js");
Object.defineProperty(exports, "KeypairWalletAdapter", { enumerable: true, get: function () { return KeypairWalletAdapter_js_1.KeypairWalletAdapter; } });
Object.defineProperty(exports, "KeypairWalletName", { enumerable: true, get: function () { return KeypairWalletAdapter_js_1.KeypairWalletName; } });
var Solana_js_1 = require("./core/Solana/Solana.js");
Object.defineProperty(exports, "Solana", { enumerable: true, get: function () { return Solana_js_1.Solana; } });
var types_js_2 = require("./core/Solana/types.js");
Object.defineProperty(exports, "isSolana", { enumerable: true, get: function () { return types_js_2.isSolana; } });
var UTXO_js_1 = require("./core/UTXO/UTXO.js");
Object.defineProperty(exports, "UTXO", { enumerable: true, get: function () { return UTXO_js_1.UTXO; } });
var types_js_3 = require("./core/UTXO/types.js");
Object.defineProperty(exports, "isUTXO", { enumerable: true, get: function () { return types_js_3.isUTXO; } });
var createConfig_js_1 = require("./createConfig.js");
Object.defineProperty(exports, "createConfig", { enumerable: true, get: function () { return createConfig_js_1.createConfig; } });
var helpers_js_1 = require("./helpers.js");
Object.defineProperty(exports, "checkPackageUpdates", { enumerable: true, get: function () { return helpers_js_1.checkPackageUpdates; } });
Object.defineProperty(exports, "convertQuoteToRoute", { enumerable: true, get: function () { return helpers_js_1.convertQuoteToRoute; } });
Object.defineProperty(exports, "fetchTxErrorDetails", { enumerable: true, get: function () { return helpers_js_1.fetchTxErrorDetails; } });
var api_js_1 = require("./services/api.js");
Object.defineProperty(exports, "getChains", { enumerable: true, get: function () { return api_js_1.getChains; } });
Object.defineProperty(exports, "getConnections", { enumerable: true, get: function () { return api_js_1.getConnections; } });
Object.defineProperty(exports, "getContractCallsQuote", { enumerable: true, get: function () { return api_js_1.getContractCallsQuote; } });
Object.defineProperty(exports, "getGasRecommendation", { enumerable: true, get: function () { return api_js_1.getGasRecommendation; } });
Object.defineProperty(exports, "getQuote", { enumerable: true, get: function () { return api_js_1.getQuote; } });
Object.defineProperty(exports, "getRoutes", { enumerable: true, get: function () { return api_js_1.getRoutes; } });
Object.defineProperty(exports, "getStatus", { enumerable: true, get: function () { return api_js_1.getStatus; } });
Object.defineProperty(exports, "getStepTransaction", { enumerable: true, get: function () { return api_js_1.getStepTransaction; } });
Object.defineProperty(exports, "getToken", { enumerable: true, get: function () { return api_js_1.getToken; } });
Object.defineProperty(exports, "getTokens", { enumerable: true, get: function () { return api_js_1.getTokens; } });
Object.defineProperty(exports, "getTools", { enumerable: true, get: function () { return api_js_1.getTools; } });
Object.defineProperty(exports, "getTransactionHistory", { enumerable: true, get: function () { return api_js_1.getTransactionHistory; } });
var balance_js_1 = require("./services/balance.js");
Object.defineProperty(exports, "getTokenBalance", { enumerable: true, get: function () { return balance_js_1.getTokenBalance; } });
Object.defineProperty(exports, "getTokenBalances", { enumerable: true, get: function () { return balance_js_1.getTokenBalances; } });
Object.defineProperty(exports, "getTokenBalancesByChain", { enumerable: true, get: function () { return balance_js_1.getTokenBalancesByChain; } });
var getNameServiceAddress_js_1 = require("./services/getNameServiceAddress.js");
Object.defineProperty(exports, "getNameServiceAddress", { enumerable: true, get: function () { return getNameServiceAddress_js_1.getNameServiceAddress; } });
var baseError_js_1 = require("./errors/baseError.js");
Object.defineProperty(exports, "BaseError", { enumerable: true, get: function () { return baseError_js_1.BaseError; } });
var constants_js_1 = require("./errors/constants.js");
Object.defineProperty(exports, "ErrorMessage", { enumerable: true, get: function () { return constants_js_1.ErrorMessage; } });
Object.defineProperty(exports, "ErrorName", { enumerable: true, get: function () { return constants_js_1.ErrorName; } });
Object.defineProperty(exports, "LiFiErrorCode", { enumerable: true, get: function () { return constants_js_1.LiFiErrorCode; } });
var errors_js_1 = require("./errors/errors.js");
Object.defineProperty(exports, "BalanceError", { enumerable: true, get: function () { return errors_js_1.BalanceError; } });
Object.defineProperty(exports, "ProviderError", { enumerable: true, get: function () { return errors_js_1.ProviderError; } });
Object.defineProperty(exports, "RPCError", { enumerable: true, get: function () { return errors_js_1.RPCError; } });
Object.defineProperty(exports, "ServerError", { enumerable: true, get: function () { return errors_js_1.ServerError; } });
Object.defineProperty(exports, "TransactionError", { enumerable: true, get: function () { return errors_js_1.TransactionError; } });
Object.defineProperty(exports, "UnknownError", { enumerable: true, get: function () { return errors_js_1.UnknownError; } });
Object.defineProperty(exports, "ValidationError", { enumerable: true, get: function () { return errors_js_1.ValidationError; } });
var httpError_js_1 = require("./errors/httpError.js");
Object.defineProperty(exports, "HTTPError", { enumerable: true, get: function () { return httpError_js_1.HTTPError; } });
var SDKError_js_1 = require("./errors/SDKError.js");
Object.defineProperty(exports, "SDKError", { enumerable: true, get: function () { return SDKError_js_1.SDKError; } });
//# sourceMappingURL=index.js.map