"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getNameServiceAddress = void 0;
const config_js_1 = require("../config.js");
const getNameServiceAddress = async (name, chainType) => {
    try {
        let providers = config_js_1.config.get().providers;
        if (chainType) {
            providers = providers.filter((provider) => provider.type === chainType);
        }
        const resolvers = providers.map((provider) => provider.resolveAddress);
        if (!resolvers.length) {
            return;
        }
        const result = await Promise.any(resolvers.map(async (resolve) => {
            const address = await resolve(name);
            if (!address) {
                throw undefined;
            }
            return address;
        }));
        return result;
    }
    catch (_) {
        return;
    }
};
exports.getNameServiceAddress = getNameServiceAddress;
//# sourceMappingURL=getNameServiceAddress.js.map