import { BaseError } from '../baseError.js';
import { HTTPError } from '../httpError.js';
export const getRootCauseBaseError = (e) => {
    let rootCause = e;
    while (rootCause.cause && rootCause.cause instanceof BaseError) {
        rootCause = rootCause.cause;
    }
    return rootCause;
};
export const getRootCauseBaseErrorMessage = (e) => {
    const rootCause = getRootCauseBaseError(e);
    return rootCause instanceof HTTPError
        ? rootCause.responseBody?.message || rootCause.message
        : rootCause.message;
};
//# sourceMappingURL=baseErrorRootCause.js.map