import { Connection } from '@solana/web3.js';
/**
 * Initializes the Solana connections if they haven't been initialized yet.
 * @returns - Promise that resolves when connections are initialized.
 */
export declare const ensureConnections: () => Promise<void>;
/**
 * Wrapper around getting the connection (RPC provider) for Solana
 * @returns - Solana RPC connections
 */
export declare const getSolanaConnections: () => Promise<Connection[]>;
/**
 * Calls a function on the Connection instances with retry logic.
 * @param fn - The function to call, which receives a Connection instance.
 * @returns - The result of the function call.
 */
export declare function callSolanaWithRetry<R>(fn: (connection: Connection) => Promise<R>): Promise<R>;
//# sourceMappingURL=connection.d.ts.map