import type { SignatureResult, VersionedTransaction } from '@solana/web3.js';
export type ConfirmedTransactionResult = {
    signatureResult: SignatureResult | null;
    txSignature: string;
};
/**
 * Sends a Solana transaction to multiple RPC endpoints and returns the confirmation
 * as soon as any of them confirm the transaction.
 * @param signedTx - The signed transaction to send.
 * @returns - The confirmation result of the transaction.
 */
export declare function sendAndConfirmTransaction(signedTx: VersionedTransaction): Promise<ConfirmedTransactionResult>;
//# sourceMappingURL=sendAndConfirmTransaction.d.ts.map